<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KFileDialog</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KFileDialog Class Reference</h1>
<code>from PyKDE4.kio import *</code>
<p>
Inherits: <a href="../kdeui/KDialog.html">KDialog</a> &#x2192; <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qdialog.html">QDialog</a> &#x2192; <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> &#x2192; <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a><br />
Subclasses: <a href="../kio/KEncodingFileDialog.html">KEncodingFileDialog</a><br />

<h2>Detailed Description</h2>

<p>Provides a user (and developer) friendly way to
select files and directories.
</p>
<p>
The widget can be used as a drop in replacement for the
QFileDialog widget, but has greater functionality and a nicer GUI.
</p>
<p>
You will usually want to use one of the static methods
getOpenFileName(), getSaveFileName(), getOpenUrl()
or for multiple files getOpenFileNames() or getOpenUrls().
</p>
<p>
The dialog has been designed to allow applications to customize it
by subclassing. It uses geometry management to ensure that subclasses
can easily add children that will be incorporated into the layout.
</p>
<p>
<div align="center"><img src="../images/kfiledialog.png" /><p><strong> "KDE File Dialog" </strong></p></div>
</p>
<p>
A file selection dialog.
</p>
<p>

<dl class="author" compact><dt><b>Author:</b></dt><dd> Richard J. Moore &lt;rich@kde.org&gt;, Carsten Pfeiffer &lt;pfeiffer@kde.org&gt; </dd></dl>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj201192236">OperationMode</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Other, Opening, Saving&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Signals</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj176458156">fileHighlighted</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj176456172">fileSelected</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj176457292">filterChanged</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> filter)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj176456396">selectionChanged</a> ()</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201193548">__init__</a> (self, <a href="../kdecore/KUrl.html">KUrl</a> startDir, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> filter, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> parent, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> widget=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191108044">__init__</a> (self, <a href="../kio/KFileDialog.html">KFileDialog</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191108108">accept</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KActionCollection.html">KActionCollection</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194628780">actionCollection</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201194252">baseUrl</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KPushButton.html">KPushButton</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194626188">cancelButton</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192863116">clearFilter</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192862060">currentFilter</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KMimeType.Ptr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202896460">currentFilterMimeType</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192863724">currentMimeFilter</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj176458156">fileHighlighted</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj176456172">fileSelected</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kio/KAbstractFileWidget.html">KAbstractFileWidget</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202926828">fileWidget</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj176457292">filterChanged</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> filter)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kio/KFileFilterCombo.html">KFileFilterCombo</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194628428">filterWidget</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj176421900">hideEvent</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qhideevent.html">QHideEvent</a> event)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202898860">keepsLocation</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj176457932">keyPressEvent</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qkeyevent.html">QKeyEvent</a> e)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kio/KUrlComboBox.html">KUrlComboBox</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194626828">locationEdit</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KFile.Modes&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202924620">mode</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KPushButton.html">KPushButton</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194627404">okButton</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KFileDialog.OperationMode&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202898668">operationMode</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201193996">selectedFile</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201195404">selectedFiles</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201192908">selectedUrl</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.List.html">KUrl.List</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201193932">selectedUrls</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj176456396">selectionChanged</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201213132">setConfirmOverwrite</a> (self, bool enable)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202899436">setFilter</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> filter)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201212460">setInlinePreviewShown</a> (self, bool show)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202897932">setKeepLocation</a> (self, bool keep)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202927852">setLocationLabel</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> text)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192862348">setMimeFilter</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> types, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> defaultType=QString())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202927084">setMode</a> (self, KFile.Modes m)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202898188">setOperationMode</a> (self, KFileDialog.OperationMode a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192863404">setPreviewWidget</a> (self, <a href="../kio/KPreviewWidgetBase.html">KPreviewWidgetBase</a> w)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202897772">setSelection</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202895948">setUrl</a> (self, <a href="../kdecore/KUrl.html">KUrl</a> url, bool clearforward=1)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qsize.html">QSize</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201213900">sizeHint</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191108076">slotCancel</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj176419596">slotOk</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KToolBar.html">KToolBar</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194626668">toolBar</a> (self)</td></tr>
<tr><td colspan="2"><br><h2>Static Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202976492">getExistingDirectory</a> (<a href="../kdecore/KUrl.html">KUrl</a> startDir=KUrl(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> parent=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> caption=QString())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202977164">getExistingDirectoryUrl</a> (<a href="../kdecore/KUrl.html">KUrl</a> startDir=KUrl(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> parent=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> caption=QString())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202924684">getImageOpenUrl</a> (<a href="../kdecore/KUrl.html">KUrl</a> startDir=KUrl(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> parent=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> caption=QString())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201213548">getOpenFileName</a> (<a href="../kdecore/KUrl.html">KUrl</a> startDir=KUrl(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> filter=QString(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> parent=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> caption=QString())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201215404">getOpenFileNameWId</a> (<a href="../kdecore/KUrl.html">KUrl</a> startDir, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> filter, WId parent_id, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> caption)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201213068">getOpenFileNames</a> (<a href="../kdecore/KUrl.html">KUrl</a> startDir=KUrl(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> filter=QString(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> parent=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> caption=QString())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202949772">getOpenUrl</a> (<a href="../kdecore/KUrl.html">KUrl</a> startDir=KUrl(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> filter=QString(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> parent=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> caption=QString())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.List.html">KUrl.List</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201215564">getOpenUrls</a> (<a href="../kdecore/KUrl.html">KUrl</a> startDir=KUrl(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> filter=QString(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> parent=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> caption=QString())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202952140">getSaveFileName</a> (<a href="../kdecore/KUrl.html">KUrl</a> startDir=KUrl(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> filter=QString(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> parent=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> caption=QString())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202973612">getSaveFileNameWId</a> (<a href="../kdecore/KUrl.html">KUrl</a> startDir, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> filter, WId parent_id, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> caption)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202974316">getSaveUrl</a> (<a href="../kdecore/KUrl.html">KUrl</a> startDir=KUrl(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> filter=QString(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> parent=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> caption=QString())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194628588">getStartUrl</a> (<a href="../kdecore/KUrl.html">KUrl</a> startDir, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> recentDirClass)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194628972">setStartDir</a> (<a href="../kdecore/KUrl.html">KUrl</a> directory)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj201193548"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>startDir</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>filter</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>parent</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>widget=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Constructs a file dialog.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>startDir</em>&nbsp;</td><td> This can either be
</td></tr> </table></dl>
<p> <li> The URL of the directory to start in. </li>
<li> A KUrl() to start in the current working </li>
directory, or the last directory where a file has been
selected.
<li> An URL starting with 'kfiledialog:&amp;lt;keyword&amp;gt;' to start in the </li>
directory last used by a filedialog in the same application that specified
the same keyword.
<li> An URL starting with 'kfiledialog:&amp;lt;keyword&amp;gt;?global' to start </li>
in the directory last used by a filedialog in any application that specified the
same keyword.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>filter</em>&nbsp;</td><td> A shell glob or a mime-type-filter that specifies
which files to display.
See setFilter() and setMimeFilter() for details on how to use this argument.
</td></tr>

<tr><td></td><td valign="top"><em>parent</em>&nbsp;</td><td> The parent widget of this dialog
</td></tr>

<tr><td></td><td valign="top"><em>widget</em>&nbsp;</td><td> A widget, or a widget of widgets, for displaying custom
data in the dialog. This can be used, for example, to
display a check box with the caption "Open as read-only".
When creating this widget, you don't need to specify a parent,
since the widget's parent will be set automatically by KFileDialog.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj191108044"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KFileDialog.html">KFileDialog</a>&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj191108108"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> accept</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj194628780"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KActionCollection.html">KActionCollection</a> actionCollection</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> a pointer to the action collection, holding all the used KActions.
</dd></dl>
</p></div></div><a class="anchor" name="obj201194252"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KUrl.html">KUrl</a> baseUrl</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the currently shown directory.
</dd></dl>
</p></div></div><a class="anchor" name="obj194626188"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KPushButton.html">KPushButton</a> cancelButton</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> a pointer to the Cancel-Button in the filedialog. You may use
it e.g. to set a custom text to it.
</dd></dl>
</p></div></div><a class="anchor" name="obj192863116"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> clearFilter</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Clears any mime- or namefilter. Does not reload the directory.
</p></div></div><a class="anchor" name="obj192862060"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> currentFilter</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the current filter as entered by the user or one of the
predefined set via setFilter().
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> setFilter()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> filterChanged()
</dd></dl>
</p></div></div><a class="anchor" name="obj202896460"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KMimeType.Ptr currentFilterMimeType</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the mimetype for the desired output format.
</p>
<p>
This is only valid if setMimeFilter() has been called
previously.
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> setFilterMimeType()
</dd></dl>
</p></div></div><a class="anchor" name="obj192863724"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> currentMimeFilter</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The mimetype for the desired output format.
</p>
<p>
This is only valid if setMimeFilter() has been called
previously.
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> setMimeFilter()
</dd></dl>
</p></div></div><a class="anchor" name="obj176458156"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> fileHighlighted</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Emitted when the user highlights a file.
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("fileHighlighted(const QString&)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj176456172"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> fileSelected</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Emitted when the user selects a file. It is only emitted in single-
selection mode. The best way to get notified about selected file(s)
is to connect to the okClicked() signal inherited from KDialog
and call selectedFile(), selectedFiles(),
selectedUrl() or selectedUrls().
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("fileSelected(const QString&)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj202926828"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kio/KAbstractFileWidget.html">KAbstractFileWidget</a> fileWidget</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the KFileWidget that implements most of this file dialog.
If you link to libkfile you can cast this to a KFileWidget*.
</p></div></div><a class="anchor" name="obj176457292"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> filterChanged</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>filter</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Emitted when the filter changed, i.e. the user entered an own filter
or chose one of the predefined set via setFilter().
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>filter</em>&nbsp;</td><td> contains the new filter (only the extension part,
not the explanation), i.e. "*.cpp" or "*.cpp *.cc".
</td></tr>
</table></dl>
<p> <dl class="see" compact><dt><b>See also:</b></dt><dd> setFilter()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> currentFilter()
</dd></dl>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("filterChanged(const QString&)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj194628428"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kio/KFileFilterCombo.html">KFileFilterCombo</a> filterWidget</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the combobox that contains the filters
You need to link to libkfile to use this widget.
</dd></dl>
</p></div></div><a class="anchor" name="obj202976492"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> getExistingDirectory</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>startDir=KUrl()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>caption=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates a modal directory-selection dialog and returns the selected
directory (local only) or an empty string if none was chosen.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>startDir</em>&nbsp;</td><td> This can either be
</td></tr> </table></dl>
<p> <li> The URL of the directory to start in. </li>
<li> A KUrl() to start in the current working </li>
directory, or the last directory where a file has been
selected.
<li> An URL starting with 'kfiledialog:&amp;lt;keyword&amp;gt;' to start in the </li>
directory last used by a filedialog in the same application that specified
the same keyword.
<li> An URL starting with 'kfiledialog:&amp;lt;keyword&amp;gt;?global' to start </li>
in the directory last used by a filedialog in any application that specified the
same keyword.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>parent</em>&nbsp;</td><td> The widget the dialog will be centered on initially.

<tr><td></td><td valign="top"><em>caption</em>&nbsp;</td><td> The name of the dialog widget.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the path to an existing local directory.
</dd></dl>
</p></div></div><a class="anchor" name="obj202977164"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KUrl.html">KUrl</a> getExistingDirectoryUrl</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>startDir=KUrl()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>caption=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates a modal directory-selection dialog and returns the selected
directory or an empty string if none was chosen.
This version supports remote urls.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>startDir</em>&nbsp;</td><td> This can either be
</td></tr> </table></dl>
<p> <li> The URL of the directory to start in. </li>
<li> A KUrl() to start in the current working </li>
directory, or the last directory where a file has been
selected.
<li> An URL starting with 'kfiledialog:&amp;lt;keyword&amp;gt;' to start in the </li>
directory last used by a filedialog in the same application that specified
the same keyword.
<li> An URL starting with 'kfiledialog:&amp;lt;keyword&amp;gt;?global' to start </li>
in the directory last used by a filedialog in any application that specified the
same keyword.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>parent</em>&nbsp;</td><td> The widget the dialog will be centered on initially.

<tr><td></td><td valign="top"><em>caption</em>&nbsp;</td><td> The name of the dialog widget.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the url to an existing directory (local or remote).
</dd></dl>
</p></div></div><a class="anchor" name="obj202924684"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KUrl.html">KUrl</a> getImageOpenUrl</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>startDir=KUrl()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>caption=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates a modal file dialog with an image previewer and returns the
selected url or an empty string if none was chosen.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>startDir</em>&nbsp;</td><td> This can either be
</td></tr> </table></dl>
<p> <li> The URL of the directory to start in. </li>
<li> A KUrl() to start in the current working </li>
directory, or the last directory where a file has been
selected.
<li> An URL starting with 'kfiledialog:&amp;lt;keyword&amp;gt;' to start in the </li>
directory last used by a filedialog in the same application that specified
the same keyword.
<li> An URL starting with 'kfiledialog:&amp;lt;keyword&amp;gt;?global' to start </li>
in the directory last used by a filedialog in any application that specified the
same keyword.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>parent</em>&nbsp;</td><td> The widget the dialog will be centered on initially.

<tr><td></td><td valign="top"><em>caption</em>&nbsp;</td><td> The name of the dialog widget.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj201213548"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> getOpenFileName</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>startDir=KUrl()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>filter=QString()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>caption=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates a modal file dialog and return the selected
filename or an empty string if none was chosen.
</p>
<p>
Note that with
this method the user must select an existing filename.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>startDir</em>&nbsp;</td><td> This can either be
</td></tr> </table></dl>
<p> <li> The URL of the directory to start in. </li>
<li> A KUrl() to start in the current working </li>
directory, or the last directory where a file has been
selected.
<li> An URL starting with 'kfiledialog:&amp;lt;keyword&amp;gt;' to start in the </li>
directory last used by a filedialog in the same application that specified
the same keyword.
<li> An URL starting with 'kfiledialog:&amp;lt;keyword&amp;gt;?global' to start </li>
in the directory last used by a filedialog in any application that specified the
same keyword.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>filter</em>&nbsp;</td><td> A shell glob or a mime-type-filter that specifies which files to display.
The preferred option is to set a list of mimetype names, see setMimeFilter() for details.
Otherwise you can set the text to be displayed for the each glob, and
provide multiple globs, see setFilter() for details.

<tr><td></td><td valign="top"><em>parent</em>&nbsp;</td><td> The widget the dialog will be centered on initially.

<tr><td></td><td valign="top"><em>caption</em>&nbsp;</td><td> The name of the dialog widget.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj201215404"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> getOpenFileNameWId</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>startDir</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>filter</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>parent_id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>caption</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Use this version only if you have no QWidget available as
parent widget. This can be the case if the parent widget is
a widget in another process or if the parent widget is a
non-Qt widget. For example, in a GTK program.
</p></div></div><a class="anchor" name="obj201213068"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> getOpenFileNames</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>startDir=KUrl()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>filter=QString()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>caption=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates a modal file dialog and returns the selected
filenames or an empty list if none was chosen.
</p>
<p>
Note that with
this method the user must select an existing filename.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>startDir</em>&nbsp;</td><td> This can either be
</td></tr> </table></dl>
<p> <li> The URL of the directory to start in. </li>
<li> A KUrl() to start in the current working </li>
directory, or the last directory where a file has been
selected.
<li> An URL starting with 'kfiledialog:&amp;lt;keyword&amp;gt;' to start in the </li>
directory last used by a filedialog in the same application that specified
the same keyword.
<li> An URL starting with 'kfiledialog:&amp;lt;keyword&amp;gt;?global' to start </li>
in the directory last used by a filedialog in any application that specified the
same keyword.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>filter</em>&nbsp;</td><td> A shell glob or a mime-type-filter that specifies which files to display.
The preferred option is to set a list of mimetype names, see setMimeFilter() for details.
Otherwise you can set the text to be displayed for the each glob, and
provide multiple globs, see setFilter() for details.

<tr><td></td><td valign="top"><em>parent</em>&nbsp;</td><td> The widget the dialog will be centered on initially.

<tr><td></td><td valign="top"><em>caption</em>&nbsp;</td><td> The name of the dialog widget.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj202949772"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KUrl.html">KUrl</a> getOpenUrl</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>startDir=KUrl()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>filter=QString()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>caption=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates a modal file dialog and returns the selected
URL or an empty string if none was chosen.
</p>
<p>
Note that with
this method the user must select an existing URL.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>startDir</em>&nbsp;</td><td> This can either be
</td></tr> </table></dl>
<p> <li> The URL of the directory to start in. </li>
<li> A KUrl() to start in the current working </li>
directory, or the last directory where a file has been
selected.
<li> An URL starting with 'kfiledialog:&amp;lt;keyword&amp;gt;' to start in the </li>
directory last used by a filedialog in the same application that specified
the same keyword.
<li> An URL starting with 'kfiledialog:&amp;lt;keyword&amp;gt;?global' to start </li>
in the directory last used by a filedialog in any application that specified the
same keyword.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>filter</em>&nbsp;</td><td> A shell glob or a mime-type-filter that specifies which files to display.
The preferred option is to set a list of mimetype names, see setMimeFilter() for details.
Otherwise you can set the text to be displayed for the each glob, and
provide multiple globs, see setFilter() for details.

<tr><td></td><td valign="top"><em>parent</em>&nbsp;</td><td> The widget the dialog will be centered on initially.

<tr><td></td><td valign="top"><em>caption</em>&nbsp;</td><td> The name of the dialog widget.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj201215564"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KUrl.List.html">KUrl.List</a> getOpenUrls</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>startDir=KUrl()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>filter=QString()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>caption=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates a modal file dialog and returns the selected
URLs or an empty list if none was chosen.
</p>
<p>
Note that with
this method the user must select an existing filename.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>startDir</em>&nbsp;</td><td> This can either be
</td></tr> </table></dl>
<p> <li> The URL of the directory to start in. </li>
<li> A KUrl() to start in the current working </li>
directory, or the last directory where a file has been
selected.
<li> An URL starting with 'kfiledialog:&amp;lt;keyword&amp;gt;' to start in the </li>
directory last used by a filedialog in the same application that specified
the same keyword.
<li> An URL starting with 'kfiledialog:&amp;lt;keyword&amp;gt;?global' to start </li>
in the directory last used by a filedialog in any application that specified the
same keyword.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>filter</em>&nbsp;</td><td> A shell glob or a mime-type-filter that specifies which files to display.
The preferred option is to set a list of mimetype names, see setMimeFilter() for details.
Otherwise you can set the text to be displayed for the each glob, and
provide multiple globs, see setFilter() for details.

<tr><td></td><td valign="top"><em>parent</em>&nbsp;</td><td> The widget the dialog will be centered on initially.

<tr><td></td><td valign="top"><em>caption</em>&nbsp;</td><td> The name of the dialog widget.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj202952140"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> getSaveFileName</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>startDir=KUrl()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>filter=QString()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>caption=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates a modal file dialog and returns the selected
filename or an empty string if none was chosen.
</p>
<p>
Note that with this
method the user need not select an existing filename.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>startDir</em>&nbsp;</td><td> This can either be
</td></tr> </table></dl>
<p> <li> The URL of the directory to start in. </li>
<li> A KUrl() to start in the current working </li>
directory, or the last directory where a file has been
selected.
<li> An URL starting with 'kfiledialog:&amp;lt;keyword&amp;gt;' to start in the </li>
directory last used by a filedialog in the same application that specified
the same keyword.
<li> An URL starting with 'kfiledialog:&amp;lt;keyword&amp;gt;?global' to start </li>
in the directory last used by a filedialog in any application that specified the
same keyword.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>filter</em>&nbsp;</td><td> A shell glob or a mime-type-filter that specifies which files to display.
The preferred option is to set a list of mimetype names, see setMimeFilter() for details.
Otherwise you can set the text to be displayed for the each glob, and
provide multiple globs, see setFilter() for details.

<tr><td></td><td valign="top"><em>parent</em>&nbsp;</td><td> The widget the dialog will be centered on initially.

<tr><td></td><td valign="top"><em>caption</em>&nbsp;</td><td> The name of the dialog widget.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj202973612"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> getSaveFileNameWId</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>startDir</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>filter</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>parent_id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>caption</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>This function accepts the window id of the parent window, instead
of QWidget*. It should be used only when necessary.
</p></div></div><a class="anchor" name="obj202974316"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KUrl.html">KUrl</a> getSaveUrl</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>startDir=KUrl()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>filter=QString()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>caption=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates a modal file dialog and returns the selected
filename or an empty string if none was chosen.
</p>
<p>
Note that with this
method the user need not select an existing filename.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>startDir</em>&nbsp;</td><td> This can either be
</td></tr> </table></dl>
<p> <li> The URL of the directory to start in. </li>
<li> A KUrl() to start in the current working </li>
directory, or the last directory where a file has been
selected.
<li> An URL starting with 'kfiledialog:&amp;lt;keyword&amp;gt;' to start in the </li>
directory last used by a filedialog in the same application that specified
the same keyword.
<li> An URL starting with 'kfiledialog:&amp;lt;keyword&amp;gt;?global' to start </li>
in the directory last used by a filedialog in any application that specified the
same keyword.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>filter</em>&nbsp;</td><td> A shell glob or a mime-type-filter that specifies which files to display.
The preferred option is to set a list of mimetype names, see setMimeFilter() for details.
Otherwise you can set the text to be displayed for the each glob, and
provide multiple globs, see setFilter() for details.

<tr><td></td><td valign="top"><em>parent</em>&nbsp;</td><td> The widget the dialog will be centered on initially.

<tr><td></td><td valign="top"><em>caption</em>&nbsp;</td><td> The name of the dialog widget.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj194628588"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KUrl.html">KUrl</a> getStartUrl</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>startDir</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>recentDirClass</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>This method implements the logic to determine the user's default directory
to be listed. E.g. the documents directory, home directory or a recently
used directory.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>startDir</em>&nbsp;</td><td> A url, to be used. May use the 'kfiledialog:keyword' and
'kfiledialog:keyword?global' syntax
as documented in the KFileDialog() constructor.

<tr><td></td><td valign="top"><em>recentDirClass</em>&nbsp;</td><td> If the 'kfiledialog:' syntax is used, recentDirClass
will contain the string to be used later for KRecentDir.dir()
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> The URL that should be listed by default (e.g. by KFileDialog or
KDirSelectDialog).
</dd></dl>
</p></div></div><a class="anchor" name="obj176421900"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> hideEvent</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qhideevent.html">QHideEvent</a>&nbsp;</td>
<td class="paramname"><em>event</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Reimplemented for saving the dialog geometry.
</p></div></div><a class="anchor" name="obj202898860"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool keepsLocation</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> whether the contents of the location edit are kept when
changing directories.
</dd></dl>
</p></div></div><a class="anchor" name="obj176457932"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> keyPressEvent</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qkeyevent.html">QKeyEvent</a>&nbsp;</td>
<td class="paramname"><em>e</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Reimplemented to animate the cancel button.
</p></div></div><a class="anchor" name="obj194626828"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kio/KUrlComboBox.html">KUrlComboBox</a> locationEdit</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the combobox used to type the filename or full location of the file.
You need to link to libkfile to use this widget.
</dd></dl>
</p></div></div><a class="anchor" name="obj202924620"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KFile.Modes mode</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the mode of the filedialog.
<dl class="see" compact><dt><b>See also:</b></dt><dd> setMode()
</dd></dl>
</p></div></div><a class="anchor" name="obj194627404"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KPushButton.html">KPushButton</a> okButton</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> a pointer to the OK-Button in the filedialog. You may use it
e.g. to set a custom text to it.
</dd></dl>
</p></div></div><a class="anchor" name="obj202898668"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KFileDialog.OperationMode operationMode</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the current operation mode, Opening, Saving or Other. Default
is Other.
</dd></dl> </p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> operationMode
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> KFileDialog.OperationMode
</dd></dl>
</p></div></div><a class="anchor" name="obj201193996"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> selectedFile</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the full path of the selected file in the local filesystem.
(Local files only)
</p></div></div><a class="anchor" name="obj201195404"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> selectedFiles</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns a list of all selected local files.
</p></div></div><a class="anchor" name="obj201192908"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KUrl.html">KUrl</a> selectedUrl</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> The selected fully qualified filename.
</dd></dl>
</p></div></div><a class="anchor" name="obj201193932"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KUrl.List.html">KUrl.List</a> selectedUrls</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> The list of selected URLs.
</dd></dl>
</p></div></div><a class="anchor" name="obj176456396"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> selectionChanged</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Emitted when the user hilights one or more files in multiselection mode.
</p>
<p>
Note: fileHighlighted() or fileSelected() are <b>not</b>
emitted in multiselection mode. You may use selectedItems() to
ask for the current highlighted items.
<dl class="see" compact><dt><b>See also:</b></dt><dd> fileSelected
</dd></dl>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("selectionChanged()"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj201213132"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setConfirmOverwrite</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>enable</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets whether the dialog should ask before accepting the selected file
when KFileDialog.OperationMode is set to Saving.
</p>
<p>
In this case a KMessageBox appears for confirmation.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>enable</em>&nbsp;</td><td> Set this to true to enable checking.
</td></tr> </table></dl>
<p> <dl class="since" compact><dt><b>Since:</b></dt><dd> 4.2
</dd></dl>
</p></div></div><a class="anchor" name="obj202899436"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setFilter</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>filter</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the filter to be used to <b>filter.</b>
</p>
<p>
You can set more
filters for the user to select separated by '\\n'. Every
filter entry is defined through namefilter|text to display.
If no '|' is found in the expression, just the namefilter is
shown. Examples:
</p>
<p>
<pre class="fragment">
 kfile-&gt;setFilter("*.cpp|C++ Source Files\n*.h|Header files");
 kfile-&gt;setFilter("*.cpp");
 kfile-&gt;setFilter("*.cpp|Sources (*.cpp)");
 kfile-&gt;setFilter("*.cpp|" + i18n("Sources (*.cpp)"));
 kfile-&gt;setFilter("*.cpp *.cc *.C|C++ Source Files\n*.h *.H|Header files");
</pre>
</p>
<p>
Note: The text to display is not parsed in any way. So, if you
want to show the suffix to select by a specific filter, you must
repeat it.
</p>
<p>
If the filter contains an unescaped '/', a mimetype-filter is assumed.
If you would like a '/' visible in your filter it can be escaped with
a '\'. You can specify multiple mimetypes like this (separated with
space):
</p>
<p>
<pre class="fragment">
 kfile-&gt;setFilter( "image/png text/html text/plain" );
 kfile-&gt;setFilter( "*.cue|CUE\\/BIN Files (*.cue)" );
</pre>
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> filterChanged
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> setMimeFilter
</dd></dl>
</p></div></div><a class="anchor" name="obj201212460"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setInlinePreviewShown</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>show</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Forces the inline previews to be shown or hidden, depending on <b>show.</b>
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>show</em>&nbsp;</td><td> Whether to show inline previews or not.
</td></tr> </table></dl>
<p> <dl class="since" compact><dt><b>Since:</b></dt><dd> 4.2
</dd></dl>
</p></div></div><a class="anchor" name="obj202897932"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setKeepLocation</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>keep</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets whether the filename/url should be kept when changing directories.
This is for example useful when having a predefined filename where
the full path for that file is searched.
</p>
<p>
This is implicitly set when operationMode() is KFileDialog.Saving
</p>
<p>
getSaveFileName() and getSaveUrl() set this to true by default, so that
you can type in the filename and change the directory without having
to type the name again.
</p></div></div><a class="anchor" name="obj202927852"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setLocationLabel</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>text</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the text to be displayed in front of the selection.
</p>
<p>
The default is "Location".
Most useful if you want to make clear what
the location is used for.
</p></div></div><a class="anchor" name="obj192862348"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setMimeFilter</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>types</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>defaultType=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the filter up to specify the output type.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>types</em>&nbsp;</td><td> a list of mimetypes that can be used as output format

<tr><td></td><td valign="top"><em>defaultType</em>&nbsp;</td><td> the default mimetype to use as output format, if any.
If <b>defaultType</b> is set, it will be set as the current item.
Otherwise, a first item showing all the mimetypes will be created.
Typically, <b>defaultType</b> should be empty for loading and set for saving.
</td></tr>
</table></dl>
<p> Do not use in conjunction with setFilter()
</p></div></div><a class="anchor" name="obj202927084"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setMode</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KFile.Modes&nbsp;</td>
<td class="paramname"><em>m</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the mode of the dialog.
</p>
<p>
The mode is defined as (in kfile.h):
<pre class="fragment">
    enum Mode {
         File         = 1,
         Directory    = 2,
         Files        = 4,
         ExistingOnly = 8,
         LocalOnly    = 16
    };
</pre>
You can OR the values, e.g.
<pre class="fragment">
 KFile.Modes mode = KFile.Files |
                     KFile.ExistingOnly |
                     KFile.LocalOnly );
 setMode( mode );
</pre>
</p></div></div><a class="anchor" name="obj202898188"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setOperationMode</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KFileDialog.OperationMode&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the operational mode of the filedialog to <b>Saving,</b> <b>Opening</b>
or <b>Other.</b> This will set some flags that are specific to loading
or saving files. E.g. setKeepLocation() makes mostly sense for
a save-as dialog. So setOperationMode( KFileDialog.Saving ); sets
setKeepLocation for example.
</p>
<p>
The mode <b>Saving,</b> together with a default filter set via
setMimeFilter() will make the filter combobox read-only.
</p>
<p>
The default mode is <b>Opening.</b>
</p>
<p>
Call this method right after instantiating KFileDialog.
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> operationMode
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> KFileDialog.OperationMode
</dd></dl>
</p></div></div><a class="anchor" name="obj192863404"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setPreviewWidget</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KPreviewWidgetBase.html">KPreviewWidgetBase</a>&nbsp;</td>
<td class="paramname"><em>w</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Adds a preview widget and enters the preview mode.
</p>
<p>
In this mode the dialog is split and the right part contains your
preview widget.
</p>
<p>
Ownership is transferred to KFileDialog. You need to create the
preview-widget with "new", i.e. on the heap.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>w</em>&nbsp;</td><td> The widget to be used for the preview.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj202897772"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setSelection</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the file name to preselect to <b>name</b>
</p>
<p>
This takes absolute URLs and relative file names.
</p></div></div><a class="anchor" name="obj194628972"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setStartDir</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>directory</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
Used by KDirSelectDialog to share the dialog's start directory.
</dd></dl>
</p></div></div><a class="anchor" name="obj202895948"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setUrl</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>clearforward=1</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the directory to view.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> URL to show.

<tr><td></td><td valign="top"><em>clearforward</em>&nbsp;</td><td> Indicates whether the forward queue
should be cleared.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj201213900"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qsize.html">QSize</a> sizeHint</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="see" compact><dt><b>See also:</b></dt><dd> QWidget.sizeHint()
</dd></dl>
</p></div></div><a class="anchor" name="obj191108076"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> slotCancel</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj176419596"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> slotOk</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj194626668"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KToolBar.html">KToolBar</a> toolBar</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns a pointer to the toolbar.
</p>
<p>
You can use this to insert custom
items into it, e.g.:
<pre class="fragment">
      yourAction = new KAction( i18n("Your Action"), 0,
                                this, SLOT( yourSlot() ),
                                this, "action name" );
      yourAction-&gt;plug( kfileDialog-&gt;toolBar() );
</pre>
</p></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj201192236"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">OperationMode</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Defines some default behavior of the filedialog.
E.g. in mode <b>Opening</b> and <b>Saving,</b> the selected files/urls will
be added to the "recent documents" list. The Saving mode also implies
setKeepLocation() being set.
</p>
<p>
<b>Other</b> means that no default actions are performed.
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> setOperationMode
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> operationMode
</dd></dl>
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Other</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>Opening</em>&nbsp;</td><td><tr><td valign="top"><em>Saving</em>&nbsp;</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
